Package: groovy.util

## [Java] Class MapEntry

- groovy.util.MapEntry

- All Implemented Interfaces and Traits:
    Map.Entry

      public class MapEntry
      extends Object

  A Map.Entry implementation.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MapEntry (Object key, Object value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `equals(Object that)`
    `` | `boolean` | `equals(MapEntry that)`
    `` | `Object` | `getKey()`
    `` | `Object` | `getValue()`
    `` | `protected int` | `hash(Object object)` Helper method to handle object hashes for possibly null values
    `` | `int` | `hashCode()`
    `` | `void` | `setKey(Object key)`
    `` | `Object` | `setValue(Object value)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public MapEntry(Object key, Object value)

  - ### Method Detail

    - #### public boolean equals(Object that)

    - #### public boolean equals(MapEntry that)

    - #### public Object getKey()

    - #### public Object getValue()

    - #### protected int hash(Object object)

      Helper method to handle object hashes for possibly null values

    - #### public int hashCode()

    - #### public void setKey(Object key)

    - #### public Object setValue(Object value)

    - #### public String toString()